Name:           perl-XML-Validator-Schema
Version:        1.10
Release:        2%{?dist}
Summary:        Validate XML against a subset of W3C XML Schema
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-Validator-Schema/
Source0:        http://www.cpan.org/modules/by-module/XML/XML-Validator-Schema-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Tree::DAG_Node)
BuildRequires:  perl(XML::Filter::BufferText)
BuildRequires:  perl(XML::SAX) >= 0.12
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More), perl(XML::SAX::Writer)
Requires:       perl(Tree::DAG_Node)
Requires:       perl(XML::Filter::BufferText)
Requires:       perl(XML::SAX) >= 0.12
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module allows you to validate XML documents against a W3C XML Schema.
This module does not implement the full W3C XML Schema recommendation
(http://www.w3.org/XML/Schema), but a useful subset.

%prep
%setup -q -n XML-Validator-Schema-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ANNOUNCE Changes README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Mar 07 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.10-1
- BR: XML::SAX::Writer
- bump to 1.10

* Fri Mar 07 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.08-3
- add missing BR for tests

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.08-2
- Rebuild for new perl

* Thu Mar 15 2007 Andreas Thienemann <andreas@bawue.net> 1.08-1
- Specfile autogenerated by cpanspec 1.69.1.
- Cleaned up for FE
